Jack2: Jack::JackNetExtSlave Struct Reference

Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::JackNetExtSlave Struct Reference
Inheritance diagram for Jack::JackNetExtSlave:

## Public Member Functions
| JackNetExtSlave (const char *ip, int port, const char *name, jack_slave_t *request)
void | AllocPorts ()
void | FreePorts ()
int | Open (jack_master_t *result)
int | Restart ()
int | Close ()
void | EncodeTransportData ()
void | DecodeTransportData ()
bool | Init ()
bool | IsRunning ()
bool | Execute ()
int | Read ()
int | Write ()
void | DummyProcess ()
int | Process ()
int | Start ()
int | Stop ()
int | SetProcessCallback (JackNetSlaveProcessCallback net_callback, void *arg)
int | SetShutdownCallback (JackNetSlaveShutdownCallback shutdown_callback, void *arg)
int | SetRestartCallback (JackNetSlaveRestartCallback restart_callback, void *arg)
int | SetErrorCallback (JackNetSlaveErrorCallback error_callback, void *arg)
int | SetBufferSizeCallback (JackNetSlaveBufferSizeCallback bufsize_callback, void *arg)
int | SetSampleRateCallback (JackNetSlaveSampleRateCallback samplerate_callback, void *arg)
Public Member Functions inherited from Jack::JackNetSlaveInterface
| JackNetSlaveInterface (const char *ip, int port)
Public Member Functions inherited from Jack::JackNetInterface
| JackNetInterface (const char *multicast_ip, int port)
| JackNetInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)

## Public Attributes
float ** | fAudioCaptureBuffer
float ** | fAudioPlaybackBuffer
JackMidiBuffer ** | fMidiCaptureBuffer
JackMidiBuffer ** | fMidiPlaybackBuffer
JackThread | fThread
JackNetSlaveProcessCallback | fProcessCallback
void * | fProcessArg
JackNetSlaveShutdownCallback | fShutdownCallback
void * | fShutdownArg
JackNetSlaveRestartCallback | fRestartCallback
void * | fRestartArg
JackNetSlaveErrorCallback | fErrorCallback
void * | fErrorArg
JackNetSlaveBufferSizeCallback | fBufferSizeCallback
void * | fBufferSizeArg
JackNetSlaveSampleRateCallback | fSampleRateCallback
void * | fSampleRateArg
int | fConnectTimeOut
int | fFrames

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackNetSlaveInterface
bool | Init ()
bool | InitConnection (int time_out_sec)
bool | InitRendering ()
net_status_t | SendAvailableToMaster (int count=INT_MAX)
net_status_t | SendStartToMaster ()
bool | SetParams ()
int | SyncRecv ()
int | SyncSend ()
int | DataRecv ()
int | DataSend ()
void | EncodeSyncPacket (int frames=-1)
void | DecodeSyncPacket (int &frames)
int | Recv (size_t size, int flags)
int | Send (size_t size, int flags)
void | FatalRecvError ()
void | FatalSendError ()
void | InitAPI ()
Protected Member Functions inherited from Jack::JackNetInterface
void | Initialize ()
int | SetNetBufferSize ()
void | FreeNetworkBuffers ()
int | MidiSend (NetMidiBuffer *buffer, int midi_channnels, int audio_channels)
int | AudioSend (NetAudioBuffer *buffer, int audio_channels)
int | MidiRecv (packet_header_t *rx_head, NetMidiBuffer *buffer, uint &recvd_midi_pckt)
int | AudioRecv (packet_header_t *rx_head, NetAudioBuffer *buffer)
int | FinishRecv (NetAudioBuffer *buffer)
void | SetRcvTimeOut ()
void | SetPacketTimeOut (int time_out)
NetAudioBuffer * | AudioBufferFactory (int nports, char *buffer)
Protected Attributes inherited from Jack::JackNetInterface
bool | fSetTimeOut
int | fPacketTimeOut
session_params_t | fParams
JackNetSocket | fSocket
char | fMulticastIP [32]
packet_header_t | fTxHeader
packet_header_t | fRxHeader
net_transport_data_t | fSendTransportData
net_transport_data_t | fReturnTransportData
char * | fTxBuffer
char * | fRxBuffer
char * | fTxData
char * | fRxData
NetMidiBuffer * | fNetMidiCaptureBuffer
NetMidiBuffer * | fNetMidiPlaybackBuffer
NetAudioBuffer * | fNetAudioCaptureBuffer
NetAudioBuffer * | fNetAudioPlaybackBuffer
Static Protected Attributes inherited from Jack::JackNetSlaveInterface
static uint | fSlaveCounter = 0

## Detailed Description

Definition at line 478 of file JackNetAPI.cpp.

## Member Function Documentation

## ◆ Init()

bool Jack::JackNetExtSlave::Init | ( |  | ) |
| inlinevirtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

Definition at line 772 of file JackNetAPI.cpp.

The documentation for this struct was generated from the following file:

- JackNetAPI.cpp